#include <iostream>
#include <SFML/Graphics.hpp>


#include "canevas.h"

const int TAILLE_PAR_DEFAUT = 800;
const int COULEUR_PAR_DEFAUT = 1;
//
// Constructeur
//
Canevas::Canevas(int tX, int tY)
{

    tailleX=tX;
    tailleY=tY;
    canevas.create(sf::VideoMode(tX, tY), "Canevas de travail");
    canevas.display();
}
//
// Constructeur
//
Canevas::Canevas()
{
    tailleX=TAILLE_PAR_DEFAUT;
    tailleY=TAILLE_PAR_DEFAUT;
    canevas.create(sf::VideoMode(tailleX, tailleY), "Canevas de travail");

}
//
// Destructeur
//
Canevas::~Canevas()
{
   cout << "fin......................:" << endl;
   canevas.close();

}
//
// Fonction qui efface tout se qui se trouve sur le canevas
//
void Canevas::effacer()
{
    canevas.clear();

}
//
// Fonction qui dessine un cercle sur le canevas
//
void Canevas::dessiner(sf::CircleShape cercle)
{
    canevas.draw(cercle);
}
void Canevas::dessiner(sf::VertexArray ligne)
{
    canevas.draw(ligne);
}


