#ifndef CANEVAS_H
#define CANEVAS_H
#include <SFML/Graphics.hpp>

#include <iostream>
using namespace std;
//
// Classe qui definit l'ecran d'affichage (canevas)
//
class Canevas
{
    sf::RenderWindow canevas;
    int tailleX, tailleY;     // taille de l'ecran

   public:

    // constructeurs
    Canevas();
    Canevas(int tx, int ty);
    // destructeur
    ~Canevas();
    // fonction qui efface tout sur le canevas
    void effacer();
    // fonction qui dessine un cercle sur le canevas
    void dessiner(sf::CircleShape);
    void dessiner(sf::VertexArray );
    //---------------------------------------------
    // Fonction inline
    //---------------------------------------------
    // Affichage du canevas
    void afficher() {canevas.display();};
    // fonction qui retourne les tailles du canevas
    int valX() { return tailleX; };
    int valY() { return tailleY; };

};

#endif
